package tvark.old;

import java.io.Serializable;


public class Student implements Serializable {
	/**
	 *  
	 */
	private Long id;
	private static final long serialVersionUID = 2695959749158815674L;
	private int nr;
	private String klass; //studednto klasse
	private String name;
	private boolean[][] busy;
	private int[] hours;
	
	Student(){
		hours = new int[31];
		busy = new boolean[5][24];
	}
	
	Student(int maxlessons){
		hours = new int[31];
		busy = new boolean[5][maxlessons];
	}

	public int[] getHours() {
		return hours;
	}
	public void setHours(int[] hours) {
		this.hours = hours;
	}
	public void setHour(int index, int hour) {
		this.hours[index] = hour;
	}

	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public int getNr() {
	
		return nr;
	}
	public void setNr(int nr) {
		this.nr = nr;
	}

	public boolean isBusy(int i, int j) {
		return busy[i][j];
	}
	public void setBusy(int i, int j) {
		busy[i][j]=true;
	}
	public void unsetBusy(int i, int j) {
		busy[i][j]=false;
	}
	public boolean[][] getBusy() {
		return busy;
	}

	public String getKlass() {
		return klass;
	}
	public void setKlass(String klass) {
		this.klass = klass;
	}

	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}

	public void setBusy(boolean[][] busy) {
		this.busy = busy;
	}

}
